=== dune/python/CMakeLists.txt ===
add_subdirectory(geometry)
add_subdirectory(test)
