=== python/dune/CMakeLists.txt ===
add_subdirectory(geometry)
add_python_targets(dune
  __init__
)
