=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pyrefelement
                     SCRIPT refelement.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pygeometrytype
                     SCRIPT geometrytype.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
dune_python_add_test(NAME pytestquad
                     SCRIPT test_quad.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
