=== debian/changelog ===
dune-geometry (2.8.0-2ubuntu1) jammy; urgency=medium

  * Disable lto to fix build failure on ppc64el 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 12:03:11 +0100

dune-geometry (2.8.0-2) unstable; urgency=medium

  * Upload to unstable

 --  Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:36:45 +0200

dune-geometry (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 --  Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 11:15:26 +0200

dune-geometry (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 11:23:47 -0400
