=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory("quadraturerules")
 add_subdirectory("refinement")
 add_subdirectory("utility")
@@ -27,6 +30,6 @@
 install(FILES test/checkgeometry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)
 
-dune_add_library(geometry OBJECT
+target_sources(dunegeometry PRIVATE
   referenceelementimplementation.cc
   )
