=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 install(FILES
   compositequadraturerule.hh
   gausslobattoquadrature.hh
@@ -27,6 +30,6 @@
   tensorproductquadrature.hh")
 
 #build the library libquadraturerules
-dune_add_library(quadraturerules OBJECT
+target_sources(dunegeometry PRIVATE
   quadraturerules.cc
 )
