=== dune/geometry/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 dune_add_test(SOURCES test-affinegeometry.cc
               LINK_LIBRARIES dunegeometry)
