=== debian/changelog ===
dune-geometry (2.9.0-4build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:22 +0200

dune-geometry (2.9.0-4) unstable; urgency=medium

  * Use fuzzy check for volume of reference elements to fix
      failing tests on i386

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 16:03:47 +0200

dune-geometry (2.9.0-3) unstable; urgency=medium

  * d/patches: Backported patch from upstream to fix compilation with GCC13
      (Closes: #1037631, #1037632, #1037633, #1037634)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 13 Jul 2023 13:14:05 +0200

dune-geometry (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * Upload to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 18:09:23 +0100

dune-geometry (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file
  * Fixed version number in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 22:13:32 +0100
