## dune-geometry 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project("dune-geometry" C CXX)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -20,8 +20,8 @@
 # start a dune project with information from dune.module
 dune_project()
 
-dune_add_library(dunegeometry)
-target_link_libraries(dunegeometry PUBLIC ${DUNE_LIBS})
+dune_add_library(dunegeometry EXPORT_NAME Geometry)
+target_link_libraries(dunegeometry PUBLIC Dune::Common)
 
 add_subdirectory("dune")
 add_subdirectory("doc")
@@ -32,4 +32,4 @@
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()
