=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory("quadraturerules")
@@ -11,7 +11,9 @@
   axisalignedcubegeometry.hh
   dimension.hh
   generalvertexorder.hh
+  mappedgeometry.hh
   multilineargeometry.hh
+  localfiniteelementgeometry.hh
   quadraturerules.hh
   referenceelement.hh
   referenceelementimplementation.hh
@@ -22,7 +24,6 @@
   typeindex.hh
   virtualrefinement.hh
   virtualrefinement.cc
-  deprecated_topology.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry
 )
