=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 install(FILES
@@ -10,6 +10,7 @@
   jacobi1quadrature.hh
   jacobi2quadrature.hh
   jacobiNquadrature.hh
+  numberfromstring.hh
   pointquadrature.hh
   prismquadrature.hh
   simplexquadrature.hh
