=== debian/changelog ===
dune-geometry (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Added debian/watch file
  * Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf and DUNE 2.10~
  * d/patches: Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 19:01:13 +0100

dune-geometry (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf and DUNE 2.10~
  * d/patches: Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Oct 2024 20:16:54 +0200
