## dune-geometry 2.11.0~git20251211

=== dune/geometry/utility/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  algorithms.hh
  convergence.hh
  defaultmatrixhelper.hh
  typefromvertexcount.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/utility)
