=== debian/changelog ===
dune-geometry (2.11.0~git20251211-2) experimental; urgency=medium

  * Force rebuild to test fixes to eigenvalue computation in dune-common
    that should fix builds on ppc64 and s290x

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 07 Jan 2026 10:02:30 +0100

dune-geometry (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Rediffed patches.
  * d/control: Depend on dune-common >= 2.11.0~,

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 15:12:46 +0100
