## dune-geometry 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,23 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not make all suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 
 dune_add_library(dunegeometry EXPORT_NAME Geometry)
 target_link_libraries(dunegeometry PUBLIC Dune::Common)
+
+# set include directories to target
+dune_default_include_directories(dunegeometry PUBLIC)
 
 add_subdirectory("dune")
 add_subdirectory("doc")
