=== debian/changelog ===
dune-geometry (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * d/patches: Rediffed patches.
  * d/control: Depend on dune-common >= 2.11.0~
  * Added debiab/gbp.conf for dep-14 branch names
  * Added config file for salsa CI
  * Updated debian/copyright
  * d/rules: Deactivate buggy test-quadrature on s390x

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 15:57:55 +0100

dune-geometry (2.11.0-1~exp2) experimental; urgency=medium

  * d/rules: Deactivate buggy test-quadrature on s390x

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 29 Jan 2026 15:40:46 +0100

dune-geometry (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added debiab/gbp.conf for dep-14 branch names
  * Added config file for salsa CI
  * Update changelog for 2.11.0-1~exp1~1.gbp9352d9 release

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 18:04:26 +0100
