=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

# We have failing tests on s390x. We think the code is actually buggy
# and deactivate the test..
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
    DUNE_CTEST_OPTIONS += "-E test-quadrature"
endif

%:
	dh $@ --builddirectory=build --buildsystem=cmake
